package com.rv.im;

public enum ChatHolderTypeEnum {
    // 文字消息
    VIEW_FROM_TEXT(10),
    VIEW_TO_TEXT(11),

    // 图片消息
    VIEW_FROM_FILE(20),
    VIEW_TO_FILE(21),

    // 图片消息
    VIEW_FROM_IMAGE(30),
    VIEW_TO_IMAGE(31),

    // 语音消息
    VIEW_FROM_VOICE(40),
    VIEW_TO_VOICE(41),

    // 语音通话
    VIEW_FROM_VOLTE(50),
    VIEW_TO_VOLTE(51),

    // 视频消息
    VIEW_FROM_VIDEO(60),
    VIEW_TO_VIDEO(61);

    private int id;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    ChatHolderTypeEnum(int id) {
        this.id = id;
    }
}
